// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"
#include "util/mathutils.hpp"

namespace Dawn {
  class CapsuleMesh {
    protected:
      static void calculateRing(
        int32_t segments,
        float_t height,
        float_t radius,
        float_t dr,
        float_t y,
        float_t dy,
        std::vector<glm::vec3> *positions
      );

    public:
      static void create(
        Mesh *mesh,
        float_t radius,
        float_t height
      );
  };
}