// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "Collider2D.hpp"

namespace Dawn {
  class CharacterController2D : public SceneItemComponent {
    private:
      void move(glm::vec2 distance);
      
    public:
      // @optional
      glm::vec2 velocity = glm::vec2(0, 0);
      // @optional
      float_t friction = 12.0f;
      
      CharacterController2D(SceneItem *i);
      void onStart() override;
  };
}